[Previous] [Next] [Contents]

## `PART::Part2Exp` -- multiplicities of parts in a given partition

#### Call(s)

`PART::Part2Exp(part <,n>)`

#### Parameters

`part` | - | a partition

#### Options

`n` | - | an integer

#### Introduction

The `PART::Part2Exp` function is the inverse function of `Exp2Part`.

The `PART::Part2Exp` function gives the multiplicities of the parts of the partition part, the result being also known as the exponential notation of `part`.

The exponential notation of a partition is a vector of positive integers that indicates the number of occurrences a part appears in the partition.

When called with a second argument `n`, it returns the same list augmented with some zeros representing the number of occurrences of the integers from the maximal part of the partition up to `m` in the partition.

#### Example 1

    >> muEC::PART::Part2Exp( [6,4,4,2,1] );

                                [1, 1, 0, 2, 0, 1]

    >> muEC::PART::Part2Exp( [6,4,4,2,1], 10 );

                          [1, 1, 0, 2, 0, 1, 0, 0, 0, 0]

#### Related Functions

`Exp2Part`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package